CREATE TABLE fun_adm_attributes_b (
    ATTRIBUTE_ID                NUMBER(18, 0) ,
    ATTRIBUTE_CODE              VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_GROUP_CODE        VARCHAR2(120) ,
    DATATYPE_CODE               VARCHAR2(4)       NOT NULL,
    VALUE_SET_CODE              VARCHAR2(120) ,
    VIEW_APPLICATION_ID         NUMBER(18, 0) ,
    LOOKUP_TYPE_CODE            VARCHAR2(120) ,
    KEY_FLEXFIELD_FLAG          VARCHAR2(4)   ,
    SEGMENT_CODE                VARCHAR2(120) ,
    CODE_COMBINATION_ID         NUMBER(18, 0) ,
    FLEXFIELD_APPLICATION_ID    NUMBER(18, 0) ,
    ID_FLEX_CODE                VARCHAR2(120) ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    ATTRIBUTE_ID                NUMBER(18, 0) ,
    ATTRIBUTE_CODE              VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_GROUP_CODE        VARCHAR2(120) ,
    DATATYPE_CODE               VARCHAR2(4)       NOT NULL,
    VALUE_SET_CODE              VARCHAR2(120) ,
    VIEW_APPLICATION_ID         NUMBER(18, 0) ,
    LOOKUP_TYPE_CODE            VARCHAR2(120) ,
    KEY_FLEXFIELD_FLAG          VARCHAR2(4)   ,
    SEGMENT_CODE                VARCHAR2(120) ,
    CODE_COMBINATION_ID         NUMBER(18, 0) ,
    FLEXFIELD_APPLICATION_ID    NUMBER(18, 0) ,
    ID_FLEX_CODE                VARCHAR2(120) ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_adm_attributes_b PRIMARY KEY (ATTRIBUTE_ID, ATTRIBUTE_ID)
);
